﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Windows.Forms;

namespace Big_and_useful_program_Windows_6
{
    public partial class Manual_source_cutting_Form : Form
    {
        public Manual_source_cutting_Form()
        {
            InitializeComponent();
        }

        private void Reset_button_Click(object sender, EventArgs e)
        {
            string s = "Не задано";
            Left_zero_textBox.Text = s;
            Right_zero_textBox.Text = s;
            Culmination_point_textBox.Text = s;
            Lenght_textBox.Text = s;


        }

        private void Manual_source_cutting_Form_Load(object sender, EventArgs e)
        {
            if (Settings.manual_center_number.HasValue)
                Culmination_point_textBox.Text = Settings.manual_center_number.ToString();

            if (Settings.manual_left_zero_number.HasValue)
                Left_zero_textBox.Text = Settings.manual_left_zero_number.ToString();

            if (Settings.manual_right_zero_number.HasValue)
                Right_zero_textBox.Text = Settings.manual_right_zero_number.ToString();

            if (Settings.manual_source_lenght_point.HasValue)
                Lenght_textBox.Text = Settings.manual_source_lenght_point.ToString()  ;

        }

        private void Start_button_Click(object sender, EventArgs e)
        {
            //Считаем с формы данные, чтобы использовать их при запуске конструктора источника
            try
            {
                Settings.manual_center_number = int.Parse(Culmination_point_textBox.Text);
            }
            catch
            { }
            try
            {
                Settings.manual_left_zero_number = int.Parse(Left_zero_textBox.Text);
            }
            catch
            { }
            try
            {
                Settings.manual_right_zero_number = int.Parse(Right_zero_textBox.Text);
            }
            catch
            { }
            try
            {
                Settings.manual_source_lenght_point = int.Parse(Lenght_textBox.Text);
            }
            catch { }
            
            
            if (Remember_checkBox.Checked)
                //Если надо сохранить данные с формы в файл настроек
            {
                string [,] sett = new string [4, 2];
                sett[0, 0] = "manual_center_number";
                sett[0,1] = Culmination_point_textBox.Text;
                sett[1,0] = "manual_left_zero_number";
                sett[1,1] = Left_zero_textBox.Text;
                sett[2,0] = "manual_right_zero_number";
                sett[2,1] = Right_zero_textBox.Text;
                sett[3,0] = "manual_source_lenght_point";
                sett[3,1] = Lenght_textBox.Text;


                Settings.Setting_change(sett);

               
            }

            this.Close();
        }
    }
}
