﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Windows.Forms;
using System.IO;


namespace Big_and_useful_program_Windows_6
{
    

    public partial class Theoretical_specta_Form : Form
    {
        public event Del Directory_is_entered;
        //Событие состоит в том, что пользователь ввел адрес директории с теоретическими спектрами и нажал ОК.

        public Theoretical_specta_Form()
        {
            InitializeComponent();
        }

        private void Theoretical_specta_Form_Load(object sender, EventArgs e)
        {
            Theoretical_spectra_directory_textBox.Text = Settings.way_to_theoretical_spectra_directory;
        }

        private void OK_button_Click(object sender, EventArgs e)
        {
            if (!Directory.Exists(@Theoretical_spectra_directory_textBox.Text))
                MessageBox.Show("Такой директории не существует. Введите другой путь");
            else
            {
                Settings.way_to_theoretical_spectra_directory = Theoretical_spectra_directory_textBox.Text;

                Directory_is_entered();
                //Даем событию команду произойти.
                //Событие состоит в том, что пользователь ввел адрес директории с теоретическими спектрами и нажал ОК.
                //Теперь основная форма должна обновить содержимое поля Angle_size_or_turbulence_parameter_listBox
                //Из дочерних форм это поле недоступно, поэтому и понадобилось событие.
                
                
                this.Close();
            }
        }
    }
}
